1. #1
    Membre averti
    Inscrit en
    juin 2012
    Messages
    226
    Détails du profil
    Informations forums :
    Inscription : juin 2012
    Messages : 226
    Points : 360
    Points
    360

    Par défaut ZeosLib n'aime pas plus Lazarus 1.6.4 que 1.8.0

    Lorsque j'installe ZeosLib 7.1.4 sur l'un des deux ça compile mais après l'installation au lieu de redémarrer lazarus me fait un acces violation sans autre commentaire. Je le redémarre à la main et ça marche mais dans la fenêtre des liens de paquet j'ai la mention "incorrect" pour zplain, zparsesql, zdbc, zcore alors que les fichiers .lpk concernés sont bien à l'emplacement indiqué.

    Quand je recompile lazarus j'ai 154 conseils différents qui me disent tous de dupliquer une unité ZeosLib quelque part.

    Juste un exemple:
    Code : Sélectionner tout - Visualiser dans une fenêtre à part
    1
    2
     
    Note: Dupliquer l'unité "ZDbcASA" dans "zcore 7.1", orphaned ppu "/media/moi/home_common/freepascal/lazarus_1.8/components/ZEOSDBO-7.1.4-stable/packages/lazarus/lib/x86_64-linux/ZDbcASA.ppu"
    Ca me laisse perplexe même si il semble que cela fonctionne malgré tout.

  2. #2
    Membre éprouvé
    Profil pro
    Développeur informatique
    Inscrit en
    janvier 2010
    Messages
    422
    Détails du profil
    Informations personnelles :
    Âge : 60
    Localisation : France

    Informations professionnelles :
    Activité : Développeur informatique

    Informations forums :
    Inscription : janvier 2010
    Messages : 422
    Points : 954
    Points
    954

    Par défaut

    Bonjour

    Je ne sais pas où tu as trouvé un Lazarus 1.6.8, tu veux peut-être parler de la 1.8.0 ?

    Je n'ai pas rencontré de tels soucis, sous Linux 64 bits ou Windows 32 bits, avec Zeos 7.1.4 et Lazarus 1.6.4, ni avec Zeos 7.2 et Lazarus 1.8-RC1.

    Tu devrais préciser ton environnement et les autres paquets utilisés.

    Sur le problème des "conseils" et des unités dupliquées, regarde le fil suivant et le problème sera solutionné. Il est sans incidence grave, mais peut cacher d'autres soucis..
    Cordialement,
    Tintinux

    Initiateur de Gestinux, une comptabilité gestion open-source, pour Linux, Windows et Mac OS.
    Une version stable et une autre en développement, avec Lazarus : vous pouvez aider à la tester, la traduire et à la développer.

  3. #3
    Membre averti
    Inscrit en
    juin 2012
    Messages
    226
    Détails du profil
    Informations forums :
    Inscription : juin 2012
    Messages : 226
    Points : 360
    Points
    360

    Par défaut

    Je ne sais pas où tu as trouvé un Lazarus 1.6.8, tu veux peut-être parler de la 1.8.0 ?
    Oups ! Corrigé.
    Tu devrais préciser ton environnement et les autres paquets utilisés.
    Linux Mint 18 régulièrement mise à jour.
    Lazarus 1.8.0
    FPC 3.0
    Packages :
    Nom : pack.jpg
Affichages : 67
Taille : 52,6 Ko

    Je vais faire un tour sur le fil de discussion que tu as indiqué.

    Merci.

  4. #4
    Membre averti
    Inscrit en
    juin 2012
    Messages
    226
    Détails du profil
    Informations forums :
    Inscription : juin 2012
    Messages : 226
    Points : 360
    Points
    360

    Par défaut

    Sur le problème des "conseils" et des unités dupliquées, regarde le fil suivant et le problème sera solutionné. Sur le problème des "conseils" et des unités dupliquées, regarde le fil suivant et le problème sera solutionné.
    En effet, le problème est réglé en remplaçant les .lpk d'origine par les tiens.
    Ce serait peut-être une bonne idée d'avoir des fils punaisés pour chaque upgrade lazarus qui regrouperaient les solutions aux problèmes posés ? Tout le monde y gagnerait un certain temps.

  5. #5
    Membre éprouvé
    Profil pro
    Développeur informatique
    Inscrit en
    janvier 2010
    Messages
    422
    Détails du profil
    Informations personnelles :
    Âge : 60
    Localisation : France

    Informations professionnelles :
    Activité : Développeur informatique

    Informations forums :
    Inscription : janvier 2010
    Messages : 422
    Points : 954
    Points
    954

    Par défaut

    A ce propos, je vois que le message "Dupliquer l'unité ..." est sûrement une mauvaise traduction, et devrait être "Unité dupliquée...", et aussi que "orphaned" n'est pas traduit en "orphelin".

    Nos valeureux traducteurs iront certainement plus vite que moi pour vérifier et si besoin corriger, dans la 1.8, ou la suivante si c'est trop tard...
    Cordialement,
    Tintinux

    Initiateur de Gestinux, une comptabilité gestion open-source, pour Linux, Windows et Mac OS.
    Une version stable et une autre en développement, avec Lazarus : vous pouvez aider à la tester, la traduire et à la développer.

+ Répondre à la discussion
Cette discussion est résolue.

Discussions similaires

  1. Pipes => pas plus simple ?
    Par Jorus dans le forum MFC
    Réponses: 4
    Dernier message: 02/02/2005, 17h53
  2. [langage] pas plus de 1024 caractères?
    Par Kinethe dans le forum Langage
    Réponses: 8
    Dernier message: 15/07/2004, 11h50
  3. probleme avec requete sql aime pas les strings
    Par lil_jam63 dans le forum Bases de données
    Réponses: 3
    Dernier message: 24/02/2004, 14h45

Partager

Partager
  • Envoyer la discussion sur Viadeo
  • Envoyer la discussion sur Twitter
  • Envoyer la discussion sur Google
  • Envoyer la discussion sur Facebook
  • Envoyer la discussion sur Digg
  • Envoyer la discussion sur Delicious
  • Envoyer la discussion sur MySpace
  • Envoyer la discussion sur Yahoo